<template>
  <div class="account-transport">
    <div class="account-transport__title">
      Транспорт
    </div>
    <div class="account-transport__pattern">
      {{ order.service.resourceSubtypeTitle ? order.service.resourceSubtypeTitle + ' ' + order.service.resourcePatternParameter : 'Не указан' }}
    </div>
    <template v-if="isShowReplaceServices">
      <button
        class="account-transport__modal-button"
        @click="openReplaceServicesModal"
      >
        Показать подходящие для назначения ресурсы
      </button>
    </template>
    <ReplaceServicesModal
      ref="replaceServicesModal"
    />
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import ReplaceServicesModal from '@/pages/account/sections/order/modals/replaceServices'

export default {
  components: {
    ReplaceServicesModal
  },
  computed: {
    ...mapGetters({
      order: 'account/order'
    }),
    replaceServices () {
      return this.order?.replacingServices || []
    },
    isShowReplaceServices () {
      return this.replaceServices.length > 1
    }
  },
  methods: {
    openReplaceServicesModal () {
      this.$refs.replaceServicesModal.open()
    },
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.account-transport {
  &__title {
    margin-bottom: 4px;
    @include font-mixin(12px, 12px, 400, $gray-slate, 0.4px);
  }
  &__pattern {
    @include font-mixin(14px, 20px, 400, $color-text-base);
  }
  &__modal-button {
    margin: 2px 0 0 0;
    padding: 0;
    background-color: transparent;
    border: none;
    outline: none;
    @include font-mixin(14px, 18px, 400, $color-blue-navy-blue);
    cursor: pointer;
    text-align: left;
    &:hover {
      opacity: 0.8;
    }
  }
}
</style>